## gst-plugins-base1.0 1.20.1

=== meson_options.txt ===
option('audioresample_format', type : 'combo',
       choices : ['int', 'float', 'auto'], value : 'auto')
option('install_plugins_helper', type: 'string', value: '',
       description: 'Path of distro helper script to call to install missing plugins')
option('iso-codes', type : 'feature', value : 'auto',
       description: 'Use iso-codes in libgsttag (for language names)')

# OpenGL integration library options
option('gl_api', type : 'array', choices : ['opengl', 'gles2', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl APIs to enable building against')
option('gl_platform', type : 'array',
       choices : ['glx', 'egl', 'cgl', 'wgl', 'eagl', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl platforms to enable building against')
option('gl_winsys', type : 'array',
       choices : ['x11', 'wayland', 'win32', 'winrt', 'cocoa', 'dispmanx', 'egl', 'viv-fb', 'gbm', 'android', 'auto'], value : ['auto'],
       description : 'A comma separated list of opengl windows systems to enable building against. Supported values are x11, wayland, win32, winrt, cocoa, dispmanx, egl, viv-fb, gbm, and android')
option('egl_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libEGL library (default: libEGL)')
option('opengl_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libGL library (default: libGL)')
option('gles2_module_name', type : 'string', value : '',
       description : 'The file to pass to g_module_open to open the libGLESv2 library (default: libGLESv2)')

# Feature option for opengl plugin and integration library
option('gl', type : 'feature', value : 'auto', description : 'OpenGL integration library and OpenGL plugin')
option('gl-graphene', type : 'feature', value : 'auto', description : 'Use Graphene in OpenGL plugin')
option('gl-jpeg', type : 'feature', value : 'auto', description : 'Use libjpeg in OpenGL plugin')
option('gl-png', type : 'feature', value : 'auto', description : 'Use libpng in OpenGL plugin')

# Feature options for plugins with no external deps
option('adder', type : 'feature', value : 'auto')
option('app', type : 'feature', value : 'auto')
option('audioconvert', type : 'feature', value : 'auto')
option('audiomixer', type : 'feature', value : 'auto')
option('audiorate', type : 'feature', value : 'auto')
option('audioresample', type : 'feature', value : 'auto')
option('audiotestsrc', type : 'feature', value : 'auto')
option('compositor', type : 'feature', value : 'auto')
option('encoding', type : 'feature', value : 'auto')
option('gio', type : 'feature', value : 'auto')
option('gio-typefinder', type : 'feature', value : 'auto')
option('overlaycomposition', type : 'feature', value : 'auto')
option('pbtypes', type : 'feature', value : 'auto')
option('playback', type : 'feature', value : 'auto')
option('rawparse', type : 'feature', value : 'auto')
option('subparse', type : 'feature', value : 'auto')
option('tcp', type : 'feature', value : 'auto')
option('typefind', type : 'feature', value : 'auto')
option('videoconvert', type : 'feature', value : 'auto')
option('videorate', type : 'feature', value : 'auto')
option('videoscale', type : 'feature', value : 'auto')
option('videotestsrc', type : 'feature', value : 'auto')
option('volume', type : 'feature', value : 'auto')

# Feature options for plugins with external deps
option('alsa', type : 'feature', value : 'auto', description : 'ALSA audio source/sink plugin')
option('cdparanoia', type : 'feature', value : 'auto', description : 'cdparanoia plugin')
option('libvisual', type : 'feature', value : 'auto', description : 'libvisual audio visualization plugin')
option('ogg', type : 'feature', value : 'auto', description : 'ogg parser, muxer, demuxer plugin')
option('opus', type : 'feature', value : 'auto', description : 'OPUS audio codec plugin')
option('pango', type : 'feature', value : 'auto', description : 'Pango text rendering and overlay plugin')
option('theora', type : 'feature', value : 'auto', description : 'Theora video parser and codec plugin')
option('tremor', type : 'feature', value : 'auto', description : 'Integer Vorbis decoder plugin for devices without floating point')
option('vorbis', type : 'feature', value : 'auto', description : 'Vorbis audio parser, tagger, and codec plugin')
option('x11', type : 'feature', value : 'auto', description : 'X11 ximagesink plugin, and X11 support in libraries, plugins, examples')
option('xshm', type : 'feature', value : 'auto', description : 'X11 shared memory support for X11 plugins')
option('xvideo', type : 'feature', value : 'auto', description : 'X11 XVideo xvimagesink plugin')

# Common feature options
option('examples', type : 'feature', value : 'auto', yield : true)
option('tests', type : 'feature', value : 'auto', yield : true)
option('tools', type : 'feature', value : 'auto', yield : true)
option('introspection', type : 'feature', value : 'auto', yield : true, description : 'Generate gobject-introspection bindings')
option('nls', type : 'feature', value : 'auto', yield: true, description : 'Enable native language support (translations)')
option('orc', type : 'feature', value : 'auto', yield : true)
option('gobject-cast-checks', type : 'feature', value : 'auto', yield : true,
       description: 'Enable run-time GObject cast checks (auto = enabled for development, disabled for stable releases)')
option('glib-asserts', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib assertion (auto = enabled for development, disabled for stable releases)')
option('glib-checks', type : 'feature', value : 'enabled', yield : true,
       description: 'Enable GLib checks such as API guards (auto = enabled for development, disabled for stable releases)')
option('qt5', type : 'feature', value : 'auto', yield : true, description : 'Qt5 QML examples')

# Common options
option('package-name', type : 'string', yield : true,
       description : 'package name to use in plugins')
option('package-origin', type : 'string', value : 'Unknown package origin', yield : true,
       description : 'package origin URL to use in plugins')
option('doc', type : 'feature', value : 'auto', yield: true,
       description: 'Enable documentation.')

=== debian/changelog ===
gst-plugins-base1.0 (1.20.1-1ubuntu0.5) jammy-security; urgency=medium

  * SECURITY UPDATE: DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
    - CVE-2025-47808

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 09:05:50 -0400

gst-plugins-base1.0 (1.20.1-1ubuntu0.4) jammy-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.20.1-1ubuntu0.2) jammy-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:31:40 -0300

gst-plugins-base1.0 (1.20.1-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Heap overwrite in subtitle parsing
    - debian/patches/CVE-2023-37328-1.patch: look for the closing > of a
      tag after the opening < in gst/subparse/gstsubparse.c.
    - debian/patches/CVE-2023-37328-2.patch: skip after the end of a valid
      closing tag in gst/subparse/gstsubparse.c.
    - CVE-2023-37328
  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-2.patch: don't allow image tags with
      G_MAXUINT32 length in gst-libs/gst/tag/tags.c.
    - CVE-2023-37327

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:26:17 -0400

gst-plugins-base1.0 (1.20.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 14 Mar 2022 16:45:53 +0200

gst-plugins-base1.0 (1.20.0-2) unstable; urgency=medium

  * debian/control:
    + Add libgudev-1.0-dev (>= 147) [linux-any] dependency to
      libgstreamer-plugins-base1.0-dev (Closes: #1005120).

 -- Sebastian Dröge <slomo@debian.org>  Tue, 08 Feb 2022 22:11:05 +0200

gst-plugins-base1.0 (1.20.0-1) unstable; urgency=medium

  * New upstream release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 04 Feb 2022 08:54:46 +0200

gst-plugins-base1.0 (1.19.90-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 28 Jan 2022 17:00:15 +0200

=== debian/control ===
Source: gst-plugins-base1.0
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dpkg-dev (>= 1.15.1),
               pkg-config (>= 0.11.0),
               meson (>= 0.59),
               xvfb,
               xauth,
               libglib2.0-dev (>= 2.56),
               libgstreamer1.0-dev (>= 1.20.0),
               liborc-0.4-dev (>= 1:0.4.24),
               zlib1g-dev (>= 1:1.1.4),
               libgl-dev,
               libegl-dev,
               libgles-dev,
               libgraphene-1.0-dev,
               libtheora-dev (>= 1.1),
               libvorbis-dev (>= 1.3.1),
               libopus-dev (>= 0.9.4),
               libogg-dev (>= 1.0),
               libpango1.0-dev (>= 1.22),
               libbrotli-dev,
               libpng-dev,
               libjpeg-dev,
               libcdparanoia-dev (>= 3.10.2) [!hurd-i386],
               libvisual-0.4-dev (>= 0.4.0),
               libx11-xcb-dev,
               libxv-dev (>= 6.8.2.dfsg.1-3),
               libxt-dev (>= 6.8.2.dfsg.1-3),
               libasound2-dev (>= 0.9.1) [linux-any],
               libdrm-dev (>= 2.4.55) [linux-any],
               libgbm-dev [linux-any],
               libgudev-1.0-dev (>= 147) [linux-any],
               libwayland-dev (>= 1.11) [linux-any],
               wayland-protocols (>= 1.15) [linux-any],
               iso-codes,
               libgirepository1.0-dev (>= 0.9.12-4~),
               gobject-introspection (>= 0.9.12-4~),
               gir1.2-glib-2.0,
               gir1.2-freedesktop,
               gir1.2-gstreamer-1.0
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
Homepage: https://gstreamer.freedesktop.org

Package: gstreamer1.0-plugins-base-apps
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends},
         gstreamer1.0-tools
Description: GStreamer helper programs from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains helper programs from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         iso-codes
Breaks: totem-gstreamer (<= 2.17.92-0ubuntu1),
        gstreamer1.0-plugins-bad (<< 1.15.1),
        libgstreamer-plugins-bad1.0-0 (<< 1.15.1)
Conflicts: libgstreamer-plugins-bad1.0-0 (<< 1.15.1)
Recommends: gstreamer1.0-plugins-base
Suggests: libvisual-0.4-plugins
Description: GStreamer libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains libraries from the "base" set, an essential
 exemplary set of elements.

Package: libgstreamer-plugins-base1.0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
         libgstreamer-gl1.0-0 (= ${binary:Version}),
         libc6-dev | libc-dev,
         pkg-config,
         libgstreamer1.0-dev (>= 1.16.2),
         libglib2.0-dev,
         liborc-0.4-dev (>= 1:0.4.24),
         libgl-dev,
         libegl-dev,
         libgles-dev,
         libx11-xcb-dev,
         libwayland-dev (>= 1.11) [linux-any],
         libdrm-dev (>= 2.4.55) [linux-any],
         libgbm-dev [linux-any],
         libgudev-1.0-dev (>= 147) [linux-any],
         gir1.2-gst-plugins-base-1.0 (= ${binary:Version})
Breaks: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
Conflicts: libgstreamer-plugins-bad1.0-dev (<< 1.15.1)
Description: GStreamer development files for libraries from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains development files for GStreamer libraries from
 the "base" set, an essential exemplary set of elements.

Package: libgstreamer-gl1.0-0
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: gstreamer1.0-gl
Breaks: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Replaces: libgstreamer-plugins-bad1.0-0 (<< 1.13.1)
Description: GStreamer GL libraries
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GL library.

Package: gstreamer1.0-alsa
Architecture: linux-any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
Suggests: alsa-utils (>= 0.9.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for ALSA
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for the ALSA library.  ALSA
 is the Advanced Linux Sound Architecture.

Package: gstreamer1.0-plugins-base
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
Suggests: gvfs
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins from the "base" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins from the "base" set, an
 essential exemplary set of elements.

Package: gstreamer1.0-x
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugins for X11 and Pango
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins for X11 video output, both
 for standard Xlib support and for the Xv extension, as well as the
 plugin for Pango-based text rendering and overlay.

Package: gstreamer1.0-gl
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgstreamer-plugins-base1.0-0 (>= 1.20.0),
         libgstreamer-gl1.0-0 (>= 1.20.0)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
Description: GStreamer plugins for GL
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugins for GL.

Package: gir1.2-gst-plugins-base-1.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for the GStreamer Plugins Base library
 This package contains introspection data for the GStreamer Plugins Base library.
 .
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/watch ===
version=3
http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-(1\.[\d]+\.[\d]+)\.tar\.xz

## gst-plugins-base1.0 1.20.3

=== debian/changelog ===
gst-plugins-base1.0 (1.20.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libgstreamer-plugins-base1.0-dev: Drop Multi-Arch: same.

  [ Sebastian Dröge ]
  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 21 Jun 2022 10:07:43 +0300

gst-plugins-base1.0 (1.20.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 16 Jun 2022 09:21:35 +0300

gst-plugins-base1.0 (1.20.2-2) unstable; urgency=medium

  * debian/patches/2353.patch:
    + Fix regression in parsebin, see upstream MR for details
      https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/2353

 -- Sebastian Dröge <slomo@debian.org>  Thu, 05 May 2022 11:47:16 +0300

gst-plugins-base1.0 (1.20.2-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 03 May 2022 10:02:38 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gst-plugins-base1.0
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
+Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper,
@@ -95,7 +94,6 @@
 
 Package: libgstreamer-plugins-base1.0-dev
 Architecture: any
-Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -274,5 +272,3 @@
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
-
-

## gst-plugins-base1.0 1.22.0

=== debian/changelog ===
gst-plugins-base1.0 (1.22.0-3+deb12u5) bookworm; urgency=medium

  * CVE-2025-47806
  * CVE-2025-47807
  * CVE-2025-47808

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 21 Aug 2025 19:47:14 +0200

gst-plugins-base1.0 (1.22.0-3+deb12u4) bookworm; urgency=medium

  * Non-maintainer upload.
  * id3v2: Don't try parsing extended header if not enough data is available
    (CVE-2024-47542)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 Dec 2024 10:02:08 +0100

gst-plugins-base1.0 (1.22.0-3+deb12u3) bookworm-security; urgency=medium

  * CVE-2024-47538 CVE-2024-47541 CVE-2024-47600 CVE-2024-47607
    CVE-2024-47615 CVE-2024-47835

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 12 Dec 2024 19:43:41 +0100

gst-plugins-base1.0 (1.22.0-3+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * exiftag: Prevent integer overflows and out of bounds reads when handling
    undefined tags (CVE-2024-4453)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 25 May 2024 10:07:46 +0200

gst-plugins-base1.0 (1.22.0-3+deb12u1) bookworm-security; urgency=medium

  * GST-2023-0001 / GST-2023-0002

 -- Moritz Mühlenhoff <jmm@debian.org>  Thu, 29 Jun 2023 20:20:04 +0200

gst-plugins-base1.0 (1.22.0-3) unstable; urgency=medium

  * Team upload
  * Fix non-Linux build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 19:24:07 -0500

gst-plugins-base1.0 (1.22.0-2) unstable; urgency=medium

  * Set Rules-Requires-Root: no
  * Bump Standards-Version to 4.6.2
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 28 Jan 2023 11:14:28 -0500

gst-plugins-base1.0 (1.22.0-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Bump minimum meson and glib
  * Build-Depend on libxi-dev
  * Build-Depend on gstreamer1.0-tools for tests
  * debian/rules: Set -Dauto_features=enabled
  * Update debian/gstreamer1.0-plugins-base.install
  * debian/libgstreamer-plugins-base1.0-0.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 14:25:16 -0500

gst-plugins-base1.0 (1.20.5-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release
  * Add debian/upstream/metadata
  * Add debian/upstream/signing-key.asc and update debian/watch to use it
  * Remove field Section on binary packages that duplicates source
  * Use correct machine-readable copyright file URI
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 05 Jan 2023 11:42:09 -0500

gst-plugins-base1.0 (1.20.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Build-Depend on dh-sequence-gir
  * debian/rules: Don't ignore build test failures on amd64

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 15 Nov 2022 09:59:37 -0500

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: debhelper,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
                pkg-config (>= 0.11.0),
-               meson (>= 0.59),
+               meson (>= 0.62),
                xvfb,
                xauth,
-               libglib2.0-dev (>= 2.56),
-               libgstreamer1.0-dev (>= 1.20.0),
+               libglib2.0-dev (>= 2.62),
+               libgstreamer1.0-dev (>= 1.22.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
+               gstreamer1.0-tools,
                libegl-dev,
                libgles-dev,
                libgraphene-1.0-dev,
@@ -30,6 +31,7 @@
                libcdparanoia-dev (>= 3.10.2) [!hurd-i386],
                libvisual-0.4-dev (>= 0.4.0),
                libx11-xcb-dev,
+               libxi-dev,
                libxv-dev (>= 6.8.2.dfsg.1-3),
                libxt-dev (>= 6.8.2.dfsg.1-3),
                libasound2-dev (>= 0.9.1) [linux-any],
@@ -40,11 +42,11 @@
                wayland-protocols (>= 1.15) [linux-any],
                iso-codes,
                libgirepository1.0-dev (>= 0.9.12-4~),
-               gobject-introspection (>= 0.9.12-4~),
                gir1.2-glib-2.0,
                gir1.2-freedesktop,
                gir1.2-gstreamer-1.0
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0.git
 Vcs-Browser: https://salsa.debian.org/gstreamer-team/gst-plugins-base1.0/
 Homepage: https://gstreamer.freedesktop.org
@@ -70,7 +72,6 @@
 Package: libgstreamer-plugins-base1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
@@ -129,7 +130,6 @@
 Package: libgstreamer-gl1.0-0
 Architecture: any
 Multi-Arch: same
-Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -149,10 +149,9 @@
 Package: gstreamer1.0-alsa
 Architecture: linux-any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -175,10 +174,9 @@
 Package: gstreamer1.0-plugins-base
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -203,10 +201,9 @@
 Package: gstreamer1.0-x
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -229,11 +226,10 @@
 Package: gstreamer1.0-gl
 Architecture: any
 Multi-Arch: same
-Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.20.0),
-         libgstreamer-gl1.0-0 (>= 1.20.0)
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         libgstreamer-plugins-base1.0-0 (>= 1.22.0),
+         libgstreamer-gl1.0-0 (>= 1.22.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export HOME=$(CURDIR)/fake-home

# debian package version
version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
# upstream version
gst_version=$(shell echo $(version) | cut -d '-' -f 1)

CFLAGS += -Wno-error
CXXFLAGS += -Wno-error
LDFLAGS += -Wl,-z,defs

# Let's decide the package name and url depending on the distribution
DISTRO = "$(shell dpkg-vendor --query vendor)"

GST_PACKAGE_NAME := "GStreamer Base Plugins (unknown Debian derivative)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-base1.0"

ifeq ($(DISTRO),"Debian")
GST_PACKAGE_NAME := "GStreamer Base Plugins (Debian)"
GST_PACKAGE_ORIGIN="https://tracker.debian.org/pkg/gst-plugins-base1.0"
endif

ifeq ($(DISTRO),"Ubuntu")
GST_PACKAGE_NAME := "GStreamer Base Plugins (Ubuntu)"
GST_PACKAGE_ORIGIN="https://launchpad.net/ubuntu/+source/gst-plugins-base1.0"
endif

conf_flags = -Dpackage-name=$(GST_PACKAGE_NAME) -Dpackage-origin=$(GST_PACKAGE_ORIGIN)
conf_flags += -Dinstall_plugins_helper="/usr/bin/gstreamer-codec-install"
conf_flags += -Dauto_features=enabled -Dexamples=disabled -Dtremor=disabled -Ddoc=disabled

ifeq ($(DEB_HOST_ARCH_OS),hurd)
conf_flags += -Dcdparanoia=disabled
endif

ifneq ($(DEB_HOST_ARCH_OS),linux)
conf_flags += -Dalsa=disabled
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(conf_flags)

override_dh_auto_clean:
	rm -rf $(CURDIR)/fake-home
	dh_auto_clean

# Only make the tests fail for key architectures
override_dh_auto_test:
ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
	xvfb-run dh_auto_test
else
	xvfb-run dh_auto_test || true
endif

override_dh_makeshlibs:
	dh_makeshlibs -plibgstreamer-plugins-base1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-plugins-base1.0-0 (>= $(gst_version))' -- -c4
	dh_makeshlibs -plibgstreamer-gl1.0-0 -X "/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0" -V 'libgstreamer-gl1.0-0 (>= $(gst_version))' -- -c4

execute_after_dh_install:
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_install -pgstreamer1.0-plugins-base debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstcdparanoia.so
endif

	mkdir -p $(CURDIR)/fake-home
	HOME=$(CURDIR)/fake-home \
	LD_LIBRARY_PATH=debian/libgstreamer-plugins-base1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):debian/libgstreamer-gl1.0-0/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
	    dh_gstscancodecs
	rm -rf $(CURDIR)/fake-home

## gst-plugins-base1.0 1.22.1

=== debian/changelog ===
gst-plugins-base1.0 (1.22.1-1ubuntu1.1) lunar-security; urgency=medium

  * SECURITY UPDATE: Heap overwrite in subtitle parsing
    - debian/patches/CVE-2023-37328-1.patch: look for the closing > of a
      tag after the opening < in gst/subparse/gstsubparse.c.
    - debian/patches/CVE-2023-37328-2.patch: skip after the end of a valid
      closing tag in gst/subparse/gstsubparse.c.
    - CVE-2023-37328
  * SECURITY UPDATE: Integer overflow leading to heap overwrite in FLAC
    image tag handling
    - debian/patches/CVE-2023-37327-2.patch: don't allow image tags with
      G_MAXUINT32 length in gst-libs/gst/tag/tags.c.
    - CVE-2023-37327

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Aug 2023 08:13:36 -0400

gst-plugins-base1.0 (1.22.1-1ubuntu1) lunar; urgency=medium

  * Cherry-pick proposed patch to fix build test failure seen with glib 2.76
    (LP: #2015928)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Apr 2023 20:07:07 -0400

gst-plugins-base1.0 (1.22.1-1) experimental; urgency=medium

  * Team upload
  * New upstream release (LP: #2015129)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Apr 2023 16:20:12 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gst-plugins-base1.0
 Section: libs
 Priority: optional
-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
 Build-Depends: debhelper-compat (= 13),

## gst-plugins-base1.0 1.22.5

=== debian/changelog ===
gst-plugins-base1.0 (1.22.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 15 Aug 2023 10:44:53 -0400

gst-plugins-base1.0 (1.22.4-1) unstable; urgency=high

  * Team upload
  * SECURITY UPDATE: New upstream release
    - Heap overwrite in subtitle parsing (GStreamer-SA-2023-0002, ZDI-CAN-20968)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Jun 2023 16:48:26 -0400

gst-plugins-base1.0 (1.22.3-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jun 2023 14:40:39 -0400

gst-plugins-base1.0 (1.22.3-1) experimental; urgency=medium

  * Team upload
  * New upstream release
  * Drop patch: applied in new release
  * debian/rules: Set all hardening flags

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 19 May 2023 12:22:14 -0400

gst-plugins-base1.0 (1.22.2-1) experimental; urgency=medium

  * Team upload
  * New upstream bugfix release (LP: #2015129)
  * Cherry-pick proposed patch to fix build test failure seen with glib 2.76
    (LP: #2015928)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Apr 2023 11:37:11 -0400

## gst-plugins-base1.0 1.22.6

=== debian/changelog ===
gst-plugins-base1.0 (1.22.6-1ubuntu0.1) mantic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:24:52 -0300

gst-plugins-base1.0 (1.22.6-1) unstable; urgency=medium

  * Team upload
  * New upstream bugfix release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Sep 2023 15:26:19 -0400

=== debian/control ===
--- 
+++ 
@@ -258,7 +258,8 @@
          ${shlibs:Depends},
          ${misc:Depends}
 Description: GObject introspection data for the GStreamer Plugins Base library
- This package contains introspection data for the GStreamer Plugins Base library.
+ This package contains introspection data for the GStreamer Plugins Base
+ library.
  .
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do

## gst-plugins-base1.0 1.22.8

=== debian/changelog ===
gst-plugins-base1.0 (1.22.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.8

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 18 Dec 2023 16:04:58 +0100

gst-plugins-base1.0 (1.22.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.22.7

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 14 Nov 2023 14:05:15 +0100

## gst-plugins-base1.0 1.24.2

=== debian/changelog ===
gst-plugins-base1.0 (1.24.2-1ubuntu0.3) noble-security; urgency=medium

  * SECURITY UPDATE: DoS via stack overflow in subparse plugin
    - debian/patches/CVE-2025-47806.patch: make sure that subrip time
      string is not too long before zero-padding in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47806
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47807.patch: check for valid UTF-8 before
      cleaning up lines and check for regex replace errors in
      gst/subparse/gstsubparse.c.
    - CVE-2025-47807
  * SECURITY UPDATE: DoS via null-deref in subparse plugin
    - debian/patches/CVE-2025-47808.patch: don't append NULL + 1 to the
      string buffer when parsing lines without text in
      gst/subparse/tmplayerparse.c.
    - CVE-2025-47808

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 25 Aug 2025 09:05:16 -0400

gst-plugins-base1.0 (1.24.2-1ubuntu0.2) noble-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.24.2-1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2024-4453.patch: Prevent integer overflows and out of bounds reads
      when handling undefined tags in gst-libs/gst/tag/gstexiftag.c.
    - CVE-2024-4453

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 27 May 2024 11:13:45 -0300

gst-plugins-base1.0 (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 10 Apr 2024 09:14:23 +0200

gst-plugins-base1.0 (1.24.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Revert "Disable libgudev Build-Depends on 32-bit for bootstrapping"

  [ Marc Leeman ]
  * New upstream version 1.24.1

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 22 Mar 2024 09:56:06 +0100

gst-plugins-base1.0 (1.24.0-2) unstable; urgency=medium

  * Team upload
  * Disable libgudev Build-Depends on 32-bit for bootstrapping

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 18:20:27 -0400

gst-plugins-base1.0 (1.24.0-1) unstable; urgency=medium

  * Revert "d/watch: pin master releases on 1.22.x"
  * New upstream version 1.24.0
  * d/install: add libgstbasedebug.so and libgstdsd.so
  * d/symbols: update to 1.23.1
  * d/symbols: update to 1.23.1 (gl)
  * d/symbols: update for 1.23.2
  * d/control: update gstreamer dependencies to >= 1.24.0

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 05 Mar 2024 11:55:10 +0100

gst-plugins-base1.0 (1.22.10-1) unstable; urgency=medium

  * d/watch: pin master releases on 1.22.x
  * New upstream version 1.22.10
  * d/control: pkg-config is transitional

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 14 Feb 2024 10:36:40 +0100

gst-plugins-base1.0 (1.22.9-1) unstable; urgency=medium

  * New upstream version 1.22.9

 -- Marc Leeman <marc.leeman@gmail.com>  Fri, 02 Feb 2024 15:51:12 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,17 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Maintainers of GStreamer packages <gst-plugins-base1.0@packages.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
-           Sjoerd Simons <sjoerd@debian.org>
+           Sjoerd Simons <sjoerd@debian.org>,
+           Marc Leeman <marc.leeman@gmail.com>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
                dpkg-dev (>= 1.15.1),
-               pkg-config (>= 0.11.0),
+               pkgconf (>= 0.11.0),
                meson (>= 0.62),
                xvfb,
                xauth,
                libglib2.0-dev (>= 2.62),
-               libgstreamer1.0-dev (>= 1.22.0),
+               libgstreamer1.0-dev (>= 1.24.0),
                liborc-0.4-dev (>= 1:0.4.24),
                zlib1g-dev (>= 1:1.1.4),
                libgl-dev,
@@ -102,7 +103,7 @@
          libgstreamer-plugins-base1.0-0 (= ${binary:Version}),
          libgstreamer-gl1.0-0 (= ${binary:Version}),
          libc6-dev | libc-dev,
-         pkg-config,
+         pkgconf,
          libgstreamer1.0-dev (>= 1.16.2),
          libglib2.0-dev,
          liborc-0.4-dev (>= 1:0.4.24),
@@ -152,7 +153,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 Suggests: alsa-utils (>= 0.9.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
@@ -177,7 +178,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 Breaks: gstreamer1.0-plugins-bad (<< 1.15.1)
 Replaces: gstreamer1.0-plugins-bad (<< 1.15.1)
 Suggests: gvfs
@@ -204,7 +205,7 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -229,8 +230,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libgstreamer-plugins-base1.0-0 (>= 1.22.0),
-         libgstreamer-gl1.0-0 (>= 1.22.0)
+         libgstreamer-plugins-base1.0-0 (>= 1.24.0),
+         libgstreamer-gl1.0-0 (>= 1.24.0)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}

=== debian/rules ===
--- 
+++ 
@@ -2,16 +2,14 @@
 
 include /usr/share/dpkg/default.mk
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
 # debian package version
 version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
 gst_version=$(shell echo $(version) | cut -d '-' -f 1)
-
-CFLAGS += -Wno-error
-CXXFLAGS += -Wno-error
-LDFLAGS += -Wl,-z,defs
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"
@@ -44,12 +42,11 @@
 %:
 	dh $@
 
+execute_before_dh_auto_clean:
+	rm -rf $(CURDIR)/fake-home
+
 override_dh_auto_configure:
 	dh_auto_configure -- $(conf_flags)
-
-override_dh_auto_clean:
-	rm -rf $(CURDIR)/fake-home
-	dh_auto_clean
 
 # Only make the tests fail for key architectures
 override_dh_auto_test:

## gst-plugins-base1.0 1.24.5

=== debian/changelog ===
gst-plugins-base1.0 (1.24.5-1) unstable; urgency=medium

  * New upstream version 1.24.5

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 20 Jun 2024 16:22:44 +0200

gst-plugins-base1.0 (1.24.4-1) unstable; urgency=medium

  * New upstream version 1.24.4

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 29 May 2024 14:10:44 +0200

gst-plugins-base1.0 (1.24.3-1) unstable; urgency=medium

  * New upstream version 1.24.3

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 30 Apr 2024 10:59:46 +0200

## gst-plugins-base1.0 1.24.6

=== debian/changelog ===
gst-plugins-base1.0 (1.24.6-1) unstable; urgency=medium

  * New upstream version 1.24.6

 -- Marc Leeman <marc.leeman@gmail.com>  Mon, 29 Jul 2024 18:52:52 +0200

## gst-plugins-base1.0 1.24.8

=== debian/changelog ===
gst-plugins-base1.0 (1.24.8-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/202412-sec*.patch: backport upstream security fix
      commits from 1.24.10.
    - CVE-2024-47538, CVE-2024-47541, CVE-2024-47542, CVE-2024-47600,
      CVE-2024-47607, CVE-2024-47615, CVE-2024-47835

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 17 Dec 2024 08:24:56 -0500

gst-plugins-base1.0 (1.24.8-1) unstable; urgency=medium

  * New upstream version 1.24.8

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 19 Sep 2024 14:13:52 +0200

gst-plugins-base1.0 (1.24.7-4) unstable; urgency=medium

  * Team upload
  * Try again to fix rust-gstreamer-video test on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 06 Sep 2024 21:16:21 -0400

gst-plugins-base1.0 (1.24.7-3) unstable; urgency=medium

  * Team upload
  * Apply updated patch to try to fix rust-gstreamer-video test on s390x
  * Stop ignoring build test failures on arm64 and ppc64el

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 05 Sep 2024 08:41:28 -0400

gst-plugins-base1.0 (1.24.7-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick proposed patch to fix rust-gstreamer-video test on s390x

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 28 Aug 2024 17:18:05 -0400

gst-plugins-base1.0 (1.24.7-1) unstable; urgency=medium

  * d/rules: debian-rules-parses-dpkg-parsechangelog
  * New upstream version 1.24.7

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 21 Aug 2024 17:21:25 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,14 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export HOME=$(CURDIR)/fake-home
 
-# debian package version
-version=$(shell dpkg-parsechangelog | grep ^Version: | cut -d ' ' -f 2)
 # upstream version
-gst_version=$(shell echo $(version) | cut -d '-' -f 1)
+gst_version=$(shell echo $(DEB_VERSION) | cut -d '-' -f 1)
 
 # Let's decide the package name and url depending on the distribution
 DISTRO = "$(shell dpkg-vendor --query vendor)"
@@ -50,7 +49,7 @@
 
 # Only make the tests fail for key architectures
 override_dh_auto_test:
-ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 ppc64el))
 	xvfb-run dh_auto_test
 else
 	xvfb-run dh_auto_test || true

## gst-plugins-base1.0 1.24.9

=== debian/changelog ===
gst-plugins-base1.0 (1.24.9-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * fix hurd-any builds (Closes: #1072224)

  [ Marc Leeman ]
  * New upstream version 1.24.9

 -- Marc Leeman <marc.leeman@gmail.com>  Thu, 31 Oct 2024 08:45:19 +0100

## gst-plugins-base1.0 1.24.11

=== debian/changelog ===
gst-plugins-base1.0 (1.24.11-1) unstable; urgency=medium

  * New upstream version 1.24.11

 -- Marc Leeman <marc.leeman@gmail.com>  Tue, 07 Jan 2025 09:13:26 +0100

gst-plugins-base1.0 (1.24.10-1) unstable; urgency=medium

  * New upstream version 1.24.10

 -- Marc Leeman <marc.leeman@gmail.com>  Wed, 04 Dec 2024 09:16:43 +0100
